%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define	confplugdir	/var/lib/vdr/config/plugins
%define	startdir	/var/lib/vdr/config/start
%define pname 		mp3
%define pname1 		mplayer

%define audiomask	*.[mMoOwWaA][pPgGaAiI][3gGvVfF]
%define videomask	*.[aAwWmMdDvV][vVsSmMoOpPaA][iIfFvV2eEtTgGbB]


Name: vdr-%pname
Version: 0.9.7
Release: alt4

Summary: Audio and Video files playback support vor VDR
Summary(ru_RU.UTF-8): Воспроизведение аудио и видеофайлов для VDR
License: GPL
Group: Video
URL: http://www.muempf.de
Source0: %name-%version.tar.gz
Source1: mount.sh
Source2: mplayer.sh-0.8.4.tar.gz
Source3: mplayer.conf.diff
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild 
BuildRequires: gcc-c++ libid3tag-devel libjpeg-devel libmad-devel libogg-devel libsndfile-devel libstdc++-devel libvorbis-devel zlib-devel
Requires: vdr = %vdrbuild

%description
MP3 plugin allows playback of MP3 and other audio files.

%description -l ru_RU.UTF-8
Модуль MP3 позволяет проигрывать различные типы аудиофайлов.

%package -n vdr-%pname1
Summary: Audio and Video files playback support vor VDR
Summary(ru_RU.UTF-8): Воспроизведение аудио и видеофайлов для VDR
Group: Video
Requires: vdr

%description -n vdr-%pname1
MPlayer plugin is used to call MPlayer for playback of video
files (e.g. DivX)

%description -l ru_RU.UTF-8 -n vdr-%pname1
Модуль MPlayer использует MPlaeyr для проигрывания видеофайлов (например DivX).

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

echo "WITH_OSS_OUTPUT=1" >> Make.config

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir
%__install -d %buildroot%confplugdir
%__install %SOURCE1 %buildroot%confplugdir/mount.sh
pushd %buildroot%confplugdir
%__tar xzf %SOURCE2
%__patch <%SOURCE3
echo "/home;/home;0;%audiomask" > mp3sources.conf 
echo "/home;/home;0;%videomask" > mplayersources.conf 
popd
%__install -d %buildroot%startdir
echo -n '-m %confplugdir/mount.sh' > %buildroot%startdir/mp3
echo -n '-m %confplugdir/mount.sh -M %confplugdir/mplayer.sh' > %buildroot%startdir/mplayer

%files
%plugindir/*mp3*
%confplugdir/mount.sh %config
%confplugdir/mp3sources.conf %attr(644,root,root) %config
%startdir/%pname %attr(644,root,root) %config
%doc PLUGINS/src/%pname/README PLUGINS/src/%pname/MANUAL

%files -n vdr-%pname1
%plugindir/*mplayer*
%confplugdir/mount.sh %config
%confplugdir/mplayer.* %config
%confplugdir/mplayersources.conf %attr(644,root,root) %config
%startdir/%pname1 %attr(644,root,root) %config
%doc PLUGINS/src/%pname/README PLUGINS/src/%pname/MANUAL

%post
oldIFS="$IFS"
IFS='
'
for i in `cat /etc/fstab`
do
    IFS="$oldIFS"
    set dummy $i
    mountpoint=$3
    fstype=$4
    options=$5

    if [ `echo $options | grep "user"` ] ; then
	if [ $fstype = "cdfs" ]; then
	    if [ ! `grep -s "$mountpoint;" %confplugdir/mp3sources.conf` ]; then
		echo "$mountpoint;$mountpoint;1;*.wav" >> %confplugdir/mp3sources.conf
	    fi
	else
	    if [ ! `grep -s "$mountpoint;" %confplugdir/mp3sources.conf` ]; then
		echo "$mountpoint;$mountpoint;1;%audiomask" >> %confplugdir/mp3sources.conf
	    fi
	fi
    fi 
done

%post -n vdr-%pname1
oldIFS="$IFS"
IFS='
'
for i in `cat /etc/fstab`
do
    IFS="$oldIFS"
    set dummy $i
    mountpoint=$3
    fstype=$4
    options=$5

    if [ `echo $options | grep "user"` ] ; then
	if [ ! `grep -s "$mountpoint;" %confplugdir/mplayersources.conf` ]; then
	    echo "$mountpoint;$mountpoint;1;%videomask" >> %confplugdir/mplayersources.conf
	fi
    fi 
done

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9.7-alt4
- vdr-1.3.15

* Fri Oct 29 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9.7-alt3
- vdr-1.3.14

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9.7-alt2
- Buildfix

* Sat Oct 09 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Sat Apr 03 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.3b-alt1
- Initial build
